Skip to main content
POST
/
api
/
v2
/
identities
/
search
/
count
cURL
curl --request POST \
  --url https://us.infisical.com/api/v2/identities/search/count \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": [
    "organization",
    "project"
  ],
  "search": {
    "name": "<string>",
    "role": "<string>",
    "$or": [
      {
        "name": "<string>",
        "role": "<string>"
      }
    ]
  }
}
'
import requests

url = "https://us.infisical.com/api/v2/identities/search/count"

payload = {
"scope": ["organization", "project"],
"search": {
"name": "<string>",
"role": "<string>",
"$or": [
{
"name": "<string>",
"role": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: ['organization', 'project'],
search: {
name: '<string>',
role: '<string>',
$or: [{name: '<string>', role: '<string>'}]
}
})
};

fetch('https://us.infisical.com/api/v2/identities/search/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "counts": {
    "organization": 123,
    "project": 123
  }
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

An access token in Infisical

Body

application/json
scope
enum<string>[]

Array of scopes to count. Returns a count for each requested scope. Accepts 'organization' and/or 'project'.

Minimum array length: 1
Available options:
organization,
project

The filters to apply when counting.

Response

Default Response

counts
object
required